//+------------------------------------------------------------------+
//|                                                SignalLibrary.mq4 |
//|                                  Copyright  2009, Semenets S.V. |
//|                                             svsemenets@yandex.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Semenets S.V."
#property link      "svsemenets@yandex.ru"
#property library
//         "BUY",     ,
//   "SELL",     .       ,  
//     
string GetSignal()
{ 
      int sig=0;
      
      int MAPeriod = 8;
      
      double MA1 = iMA(Symbol(),0,MAPeriod,0,MODE_EMA,PRICE_WEIGHTED,1);
      double MA2 = iMA(Symbol(),0,MAPeriod,0,MODE_EMA,PRICE_WEIGHTED,2);
      double MA0 = iMA(Symbol(),0,MAPeriod,0,MODE_EMA,PRICE_WEIGHTED,0);
      double Price0 = iMA(Symbol(),0,1,0,MODE_EMA,PRICE_WEIGHTED,0);
      double Price1 = iMA(Symbol(),0,1,0,MODE_EMA,PRICE_WEIGHTED,1);
      double Price2 = iMA(Symbol(),0,1,0,MODE_EMA,PRICE_WEIGHTED,2);
      
      if ( MA1>MA2 && MA0>MA1 && 
       ((Price1>MA1 && Price2<MA2)||(Price1>MA1 && Price0>MA0))) sig=1;
      if (MA1<MA2 && MA0<MA1 && 
       ((Price1<MA1 && Price2>MA2)||(Price1<MA1 && Price0<MA0))) sig=-1;
      
      if (sig==1) return ("BUY"); else if (sig==-1) return ("SELL"); else return ("");
}